=== debian/changelog ===
libpwizlite (3.0.10-1) unstable; urgency=low

  * New updated source tree using the github git repos (git clone of master
    today, commit 15279682f644e55e27333dead7929c8533854916),
    then used the maintainer-scripts/extract-files-from-proteowizard-source-tree.sh.
  * This new version that fixes the build with boost1.88.
  * Took advantage to remove support for MZMLb, which is not needed
    # pwiz/data/msdata/mzmlb/Connection_mzMLb.cpp in src/CMakeLists.txt
    and adding flag with add_definitions(-DWITHOUT_MZ5 -DWITHOUT_MZMLB)
  * Standards-Version: 4.7.2 (no specific modifs performed).

 -- Filippo Rusconi <lopippo@debian.org>  Sun, 07 Sep 2025 15:57:48 +0200

libpwizlite (3.0.9-1~bookworm+1) bookworm; urgency=medium

  * New version for new Debian package, backport to bookworm.

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 26 Jun 2025 10:26:03 +0200

libpwizlite (3.0.9-1) unstable; urgency=low

  * New version for new Debian package.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 29 May 2025 06:09:05 +0200

libpwizlite (3.0.8-1~bookworm+1) bookworm; urgency=medium

  * debian package for PAPPSO bookworm repository

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 28 May 2024 14:40:23 +0200
