## libpwizlite 3.0.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 set(PWIZLITE_VERSION_MAJOR "3")
 set(PWIZLITE_VERSION_MINOR "0")
-set(PWIZLITE_VERSION_PATCH "10")
+set(PWIZLITE_VERSION_PATCH "11")
 set(PWIZLITE_VERSION "${PWIZLITE_VERSION_MAJOR}.${PWIZLITE_VERSION_MINOR}.${PWIZLITE_VERSION_PATCH}")
 
 message(STATUS "${BoldYellow}CMAKE_LIBRARY_ARCHITECTURE: ${CMAKE_LIBRARY_ARCHITECTURE}${ColourReset}")
@@ -93,7 +93,7 @@
 #############################################################
 # Platform-specific CMake configuration
 if(MXE)
-    include(${CMAKE_TOOLCHAINS_PATH}/mxe-toolchain.cmake)
+    include(${CMAKE_TOOLCHAINS_PATH}/mxe-toolchain-$ENV{USER}.cmake)
 
     # Set the name to the systemUname variable because in this situation that name
     # is not found, it it passed as a flag in the command line.
@@ -284,6 +284,11 @@
         libpwizlite-${PWIZLITE_VERSION}.tar.gz
         libpwizlite_${PWIZLITE_VERSION}.orig.tar.gz
         &&
+        cp
+        -r
+        ${CMAKE_SOURCE_DIR}/debian
+        libpwizlite-${PWIZLITE_VERSION}
+        &&
         cd
         libpwizlite-${PWIZLITE_VERSION}
         &&
