=== debian/changelog ===
libpwizlite (3.0.11-1) unstable; urgency=low

  * Minor updates to the build framework.

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 21 Oct 2025 18:40:25 +0200
