=== debian/changelog ===
libpwizlite (3.0.12-1) unstable; urgency=low

  * New upstream version to force passage to testing.

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 07 Nov 2025 10:07:49 +0100

libpwizlite (3.0.10-2~trixie+1) trixie; urgency=medium

  * New version for new Debian package, backport to trixie.

 -- Olivier Langella <olivier.langella@u-psud.fr>  Sat, 04 Oct 2025 12:55:21 +0200

libpwizlite (3.0.10-1~trixie+1) trixie; urgency=medium

  * New version for new Debian package, backport to trixie.

 -- Olivier Langella <olivier.langella@u-psud.fr>  Sat, 20 Sep 2025 07:06:57 +0200
