=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
  libboost-chrono1.88-dev,
  libboost-random1.88-dev,
  zlib1g-dev,
+# For rst2man
  python3-docutils
 Standards-Version: 4.7.2
 Section: libs
