## libpwizlite 3.0.14

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 set(PWIZLITE_VERSION_MAJOR "3")
 set(PWIZLITE_VERSION_MINOR "0")
-set(PWIZLITE_VERSION_PATCH "12")
+set(PWIZLITE_VERSION_PATCH "14")
 set(PWIZLITE_VERSION "${PWIZLITE_VERSION_MAJOR}.${PWIZLITE_VERSION_MINOR}.${PWIZLITE_VERSION_PATCH}")
 
 message(STATUS "${BoldYellow}CMAKE_LIBRARY_ARCHITECTURE: ${CMAKE_LIBRARY_ARCHITECTURE}${ColourReset}")
@@ -105,11 +105,13 @@
 
 elseif(WIN32 OR _WIN32)
 
-    if(WIN10MINGW64)
-
-        # The file below will actually #define WIN10MINGW64 for
+    if(WIN10UCRT64)
+
+        message("Building on WIN10UCRT64")
+
+        # The file below will actually #define WIN10UCRT64 for
         # consumption by the src/pwiz/utility/misc/Filesystem.cpp file !
-        include(${CMAKE_TOOLCHAINS_PATH}/win10-mingw64-toolchain.cmake)
+        include(${CMAKE_TOOLCHAINS_PATH}/win10-ucrt64-toolchain.cmake)
 
     endif()
 
@@ -215,6 +217,7 @@
         "Makefile"
         "install_manifest.txt"
         "CMakeCache.txt"
+        "CMakeLists.txt.user"
         "CPackConfig.cmake"
         "CPackSourceConfig.cmake"
         "/CMakeFiles/"
