=== src/CMakeLists.txt ===
--- 
+++ 
@@ -9,16 +9,18 @@
 
 find_package(ZLIB REQUIRED)
 
-
 # BOOST
 if(NOT Boost_FOUND)
     message(STATUS "Boost not yet found. Searching for it.")
-    find_package(Boost COMPONENTS iostreams thread filesystem chrono REQUIRED)
+    find_package(
+        Boost
+        COMPONENTS iostreams thread filesystem chrono
+        REQUIRED
+    )
 endif()
 message(STATUS "Boost_LIBRARIES found ${Boost_LIB_VERSION}")
 message(STATUS "Boost_INCLUDES: ${Boost_INCLUDE_DIRS}")
 message(STATUS "Boost_LIB_DIRS: ${Boost_LIBRARY_DIRS}")
-
 
 set(pwizlite_RCCS libpwizliteresources.qrc)
 
@@ -68,60 +70,70 @@
     pwiz/utility/misc/BinaryData.cpp
     pwiz/utility/misc/IntegerSet.cpp
     pwiz/utility/misc/String.cpp
-    pwiz/utility/misc/Filesystem.cpp)
+    pwiz/utility/misc/Filesystem.cpp
+)
 
 add_definitions(-DWITHOUT_MZ5 -DWITHOUT_MZMLB)
 
 # Build the static lib
-add_library(pwizlite-static STATIC ${pwizlite_SRCS})
+add_library(
+    pwizlite-static STATIC
+    ${pwizlite_SRCS}
+)
 
-target_include_directories(pwizlite-static PUBLIC
-    ${CMAKE_CURRENT_SOURCE_DIR}/boost)
+target_include_directories(
+    pwizlite-static
+    PUBLIC ${CMAKE_CURRENT_SOURCE_DIR}/boost
+)
 
-set_target_properties(pwizlite-static
-    PROPERTIES OUTPUT_NAME pwizlite
-    CLEAN_DIRECT_OUTPUT 1
-    )
+set_target_properties(pwizlite-static PROPERTIES OUTPUT_NAME pwizlite CLEAN_DIRECT_OUTPUT 1)
 
-target_link_libraries(pwizlite-static
-    Boost::iostreams
-    Boost::filesystem
-    Boost::thread
-    Boost::chrono
-    ZLIB::ZLIB
-
-    ${PLATFORM_SPECIFIC_LINK_LIBRARIES})
-
-
-add_library(pwizlite-shared SHARED ${pwizlite_SRCS} ${pwizlite_RCC_SRCS})
-set_target_properties(pwizlite-shared
-    PROPERTIES OUTPUT_NAME pwizlite
-    CLEAN_DIRECT_OUTPUT 1
-    VERSION ${PWIZLITE_VERSION}
-    SOVERSION ${PWIZLITE_VERSION_MAJOR}
-    )
-
-target_include_directories(pwizlite-shared PUBLIC
-    ${CMAKE_CURRENT_SOURCE_DIR}/boost)
-
-target_link_libraries(pwizlite-shared
+target_link_libraries(
+    pwizlite-static
     Boost::iostreams
     Boost::filesystem
     Boost::thread
     Boost::chrono
     ZLIB::ZLIB
     ${PLATFORM_SPECIFIC_LINK_LIBRARIES}
-    )
+)
+
+add_library(
+    pwizlite-shared SHARED
+    ${pwizlite_SRCS} ${pwizlite_RCC_SRCS}
+)
+set_target_properties(
+    pwizlite-shared
+    PROPERTIES OUTPUT_NAME pwizlite
+               CLEAN_DIRECT_OUTPUT 1
+               VERSION ${PWIZLITE_VERSION}
+               SOVERSION ${PWIZLITE_VERSION_MAJOR}
+)
+
+target_include_directories(
+    pwizlite-shared
+    PUBLIC ${CMAKE_CURRENT_SOURCE_DIR}/boost
+)
+
+target_link_libraries(
+    pwizlite-shared
+    Boost::iostreams
+    Boost::filesystem
+    Boost::thread
+    Boost::chrono
+    ZLIB::ZLIB
+    ${PLATFORM_SPECIFIC_LINK_LIBRARIES}
+)
 
 # Install lib
 
-install(TARGETS pwizlite-shared pwizlite-static
+install(
+    TARGETS pwizlite-shared pwizlite-static
     LIBRARY NAMELINK_SKIP
     ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
-    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
-    # This one is for WIN32
+    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR} # This one is for WIN32
     RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
-    )
+)
 
 if(MXE)
     target_compile_definitions(pwizlite-shared PUBLIC MXE)
