=== debian/changelog ===
libpwizlite (3.0.14-1) unstable; urgency=medium

  * New version reverting changes in Filesystem.cpp.
  * In d/control, use unversioned libboost package names
  (closes: #1128107, thanks to Anton Gladky <gladk@debian.org>.

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 23 Feb 2026 13:36:50 +0100

libpwizlite (3.0.13-1~trixie+1) trixie; urgency=medium

  * New version for new Debian package, backport to trixie.

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 02 Dec 2025 10:03:54 +0100

libpwizlite (3.0.13-1) trixie; urgency=low

  * Implement back the ability to build for WIN10-MSYS2.

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 01 Dec 2025 12:36:21 +0100

libpwizlite (3.0.12-1~trixie+1) trixie; urgency=medium

  * New version for new Debian package, backport to trixie.

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 17 Nov 2025 13:17:47 +0100
